> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update a Field

`PUT https://api.pagerduty.com/incidents/custom_fields/{field_id}`

**Deprecated.**

<!-- theme: warning -->
> ### Deprecated
> This endpoint is deprecated and only works for fields on the Base Incident Type. \
> For more flexibility, we recommend using the Incident Types endpoint: \
> [/incidents/types/{type_id_or_name}/custom_fields/{field_id}](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/update-incident-type-custom-field)

Update a Custom Field on the Base Incident Type.

Scoped OAuth requires: `custom_fields.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `field_id` | string | yes | The ID of the field. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `field` | object | yes |  |
| `field.display_name` | string |  | The human-readable name of the field. This must be unique across an account. Max length: 50. |
| `field.description` | string \| null |  | A description of the data this field contains. Max length: 1000. |
| `field.default_value` | one of: object \| object \| object \| object \| object \| object |  |  |
| `field.default_value.value` | boolean \| null |  | (Boolean) |
| `field.default_value.value` | integer \| null |  | (Integer) |
| `field.default_value.value` | number \| null |  | (Float) |
| `field.default_value.value` | one of: string \| null \| array \| null |  | (String) |
| `field.default_value.value` | string \| null (date-time) |  | (Datetime) |
| `field.default_value.value` | string \| null (uri) |  | (Url) Max length: 200. |
| `field.enabled` | boolean |  | Whether the field is enabled. One of: `true`, `false`. |

Example: Request Example

```json
{
  "field": {
    "display_name": "New Display Name!",
    "description": "New description!"
  }
}
```

## Response 200

The field object updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field` | object | yes |  |
| `field.created_at` | string (date-time) | yes | The date/time the object was created at. Read-only. |
| `field.data_type` | string | yes | The kind of data the custom field is allowed to contain. One of: `boolean`, `integer`, `float`, `string`, `datetime`, `url`. |
| `field.default_value` | one of: object \| object \| object \| object \| object \| object |  | Same fields as `field.default_value` above. |
| `field.description` | string \| null |  | A description of the data this field contains. Max length: 1000. |
| `field.display_name` | string | yes | The human-readable name of the field. This must be unique across an account. Max length: 50. |
| `field.field_type` | string | yes | The type of data this field contains. In combination with the `data_type` field. One of: `single_value`, `single_value_fixed`, `multi_value`, `multi_value_fixed`. |
| `field.id` | string | yes | The ID of the resource. Read-only. |
| `field.name` | string | yes | The name of the field. May include ASCII characters, specifically lowercase letters, digits, and underescores. The `name` for a Field must be unique and cannot be changed once created. Max length: 50. |
| `field.self` | string \| null (url) | yes | The API show URL at which the object is accessible. Read-only. |
| `field.summary` | string \| null | yes | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `display_name`. Read-only. |
| `field.type` | string | yes | Read-only. One of: `field`. |
| `field.updated_at` | string (date-time) | yes | The date/time the object was last updated. Read-only. |

Example: Response Example

```json
{
  "field": {
    "id": "P5IYCNZ",
    "type": "field",
    "summary": "old_name",
    "self": "https://api.pagerduty.com/incidents/custom_fields/P5IYCNZ",
    "data_type": "string",
    "name": "old_name",
    "display_name": "New Display Name!",
    "description": "New description!",
    "field_type": "single_value",
    "default_value": null,
    "created_at": "2021-06-01T21:30:42Z",
    "updated_at": "2021-06-01T21:30:42Z"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
